<?php

// Exit if accessed directly
if (!defined('ABSPATH'))
    exit;

/**
 * Save TruAnon Settings Data
 *
 * Handle option save and edit TruAnon Settings Data
 * 
 * @package TruAnon Identity
 * @since 1.1
 */
global $ww_truanon_verification_model;

if ( isset( $_POST['truanon_save_options_field'] ) && 
    wp_verify_nonce( $_POST['truanon_save_options_field'], 'truanon_save_options' ) && 
    !empty( $_POST['tru_anon_setting'] ) ) {    
    
    $all_options = array();
    
    // Sanitize text values before save
    $all_options['truanon_mode_type'] = isset( $_POST['ww_truanon_option']['truanon_mode_type'] ) ? sanitize_text_field( $_POST['ww_truanon_option']['truanon_mode_type'] ) : "";
    $all_options['live_private_key'] = isset(  $_POST['ww_truanon_option']['live_private_key'] ) ?  sanitize_text_field( $_POST['ww_truanon_option']['live_private_key'] ) : ""; 
    $all_options['live_service_id'] = isset( $_POST['ww_truanon_option']['live_service_id'] ) ? sanitize_text_field( $_POST['ww_truanon_option']['live_service_id'] ) : "";

    $all_options['private_key'] = isset( $_POST['ww_truanon_option']['private_key'] ) ? sanitize_text_field( $_POST['ww_truanon_option']['private_key'] ) : "" ;
    $all_options['service_id'] = isset( $_POST['ww_truanon_option']['service_id'] ) ? sanitize_text_field( $_POST['ww_truanon_option']['service_id'] ) : "";
    $all_options['badge_less_then_score'] = isset( $_POST['ww_truanon_option']['badge_less_then_score'] ) ? sanitize_text_field( $_POST['ww_truanon_option']['badge_less_then_score'] ) : "";
  
	$all_options['badge1_1_type'] = isset( $_POST['ww_truanon_option']['badge1_1_type'] ) ? sanitize_text_field( $_POST['ww_truanon_option']['badge1_1_type'] ) : "";
    $all_options['badge1_1_upload_image'] = isset( $_POST['ww_truanon_option']['badge1_1_upload_image'] ) ?sanitize_text_field( $_POST['ww_truanon_option']['badge1_1_upload_image'] ) : "";
    $all_options['badge1_1_font_awesome'] = isset( $_POST['ww_truanon_option']['badge1_1_font_awesome'] ) ?sanitize_text_field( $_POST['ww_truanon_option']['badge1_1_font_awesome'] ) : "" ;
	
	
		$all_options['badge1_2_type'] = isset( $_POST['ww_truanon_option']['badge1_2_type'] ) ? sanitize_text_field( $_POST['ww_truanon_option']['badge1_2_type'] ) : "";
    $all_options['badge1_2_upload_image'] = isset( $_POST['ww_truanon_option']['badge1_2_upload_image'] ) ?sanitize_text_field( $_POST['ww_truanon_option']['badge1_2_upload_image'] ) : "";
    $all_options['badge1_2_font_awesome'] = isset( $_POST['ww_truanon_option']['badge1_2_font_awesome'] ) ?sanitize_text_field( $_POST['ww_truanon_option']['badge1_2_font_awesome'] ) : "" ;
	

	
	
    $all_options['badge2_type'] = isset( $_POST['ww_truanon_option']['badge2_type'] ) ? sanitize_text_field( $_POST['ww_truanon_option']['badge2_type'] ) : "";
    
    $all_options['badge2_upload_image'] = isset( $_POST['ww_truanon_option']['badge2_upload_image'] ) ?sanitize_text_field( $_POST['ww_truanon_option']['badge2_upload_image'] ) : "" ;
    $all_options['badge2_font_awesome'] = isset( $_POST['ww_truanon_option']['badge2_font_awesome'] ) ? sanitize_text_field( $_POST['ww_truanon_option']['badge2_font_awesome'] ) : "";
    $all_options['not_verify_type'] = isset( $_POST['ww_truanon_option']['not_verify_type'] )?sanitize_text_field( $_POST['ww_truanon_option']['not_verify_type'] ) :"" ;
    $all_options['not_verify_upload_image'] = isset( $_POST['ww_truanon_option']['not_verify_upload_image'] ) ? sanitize_text_field( $_POST['ww_truanon_option']['not_verify_upload_image'] ) : "";
    $all_options['not_verify_font_awesome'] =isset( $_POST['ww_truanon_option']['not_verify_font_awesome'] ) ?  sanitize_text_field( $_POST['ww_truanon_option']['not_verify_font_awesome'] ) : "";    
    
    $allowed_html = array(
        'div' => array(
             'title' => array(),
             'class' => array(),
             'style' => array()
        ),
        'style' => array(),
        'a' => array(
            'href' => array(),
            'title' => array(),
            'class' => array(),
            'data' => array(),
            'rel'   => array(),
			'target'   => array(),
        ),
        'br' => array(),
        'strong' => array(),
        'span' => array(
            'class' => array(),
            'style' => array(),
        ),
    );

    // Sanitize editor
    $all_options['badge2_description'] = isset ( $_POST['ww_truanon_option']['badge2_description'] ) ? wp_kses( $_POST['ww_truanon_option']['badge2_description'] , $allowed_html) : "";
    $all_options['badge1_description'] = isset ( $_POST['ww_truanon_option']['badge1_description'] ) ? wp_kses( $_POST['ww_truanon_option']['badge1_description'] , $allowed_html) : "" ;
    $all_options['not_confirm_txt'] = isset ( $_POST['ww_truanon_option'][ 'not_confirm_txt'] ) ? wp_kses( $_POST['ww_truanon_option'][ 'not_confirm_txt'] , $allowed_html) : "";
    // Save all data after sanitizing all values
    $ww_truanon_verification_model->update_all_option_data( $all_options );// UPDATE OPTION DATA
   
    $redirect_url = add_query_arg( 
        array( 'page' => 'ww_truanon_setting_page', 'message' => '1'), 
        admin_url('admin.php')
    );
    wp_redirect( $redirect_url );
    exit;
}