<?php
// Exit if accessed directly
if ( !defined( 'ABSPATH' ) ) exit;

/**
 * Settings Page
 *
 * Handle settings
 * 
 * @package TruAnon Identity
 * @since 1.1
 */
 

global $ww_truanon_verification_model;
$all_options = get_option( TRUANON_VERIFICATION_OPTION );

if(isset($_POST['reset-badge1_1-upload-image'])){
    $all_options['badge1_1_upload_image'] = '';
	$ww_truanon_verification_model->update_all_option_data( $all_options );
}
if(isset($_POST['reset-badge1_2-upload-image'])){
    $all_options['badge1_2_upload_image'] = '';
	$ww_truanon_verification_model->update_all_option_data( $all_options );
}
if(isset($_POST['reset-badge2-upload-image'])){
    $all_options['badge2_upload_image'] = '';
    $ww_truanon_verification_model->update_all_option_data( $all_options );
}
if(isset($_POST['reset-not-verify-upload-image'])){
    $all_options['not_verify_upload_image'] = '';
    $ww_truanon_verification_model->update_all_option_data( $all_options );
}
if(!isset($_POST['reset-badge1_1-upload-image']) && !isset($_POST['reset-badge1_2-upload-image']) &&
!isset($_POST['reset-badge2-upload-image']) &&  !isset($_POST['reset-not-verify-upload-image'])){
	$ww_truanon_verification_model->update_all_option_data( $all_options );
}
if(isset($_POST['reset_setting'])){
	update_option( TRUANON_VERIFICATION_OPTION,'' );
	update_option( 'truanon_db_version','' );
	truanon_verification_register_activation();
}


$model = $ww_truanon_verification_model;
/* START : FETCH SETTINGS DATA */
$truanon_setting_data = $model->get_all_option_data();

$truanon_mode_type = isset( $truanon_setting_data['truanon_mode_type'] ) ? $truanon_setting_data['truanon_mode_type'] : esc_html__( 'Sendbox', 'truanon-identity' );
$private_key = isset( $truanon_setting_data['private_key'] ) ? $truanon_setting_data['private_key'] : "";
$service_id = isset( $truanon_setting_data['service_id'] ) ? $truanon_setting_data['service_id'] : "";
$live_private_key = isset( $truanon_setting_data['live_private_key'] ) ? $truanon_setting_data['live_private_key'] : "";
$live_service_id = isset( $truanon_setting_data['live_service_id']) ? $truanon_setting_data['live_service_id'] : "";
$verify_text = isset( $truanon_setting_data['verify_text'] ) ? $truanon_setting_data['verify_text'] : "";
$badge1_1_type = isset( $truanon_setting_data['badge1_1_type'] ) ? $truanon_setting_data['badge1_1_type'] : "Custom Image";
$badge1_2_type = isset( $truanon_setting_data['badge1_2_type'] ) ? $truanon_setting_data['badge1_2_type'] : "Custom Image";
$badge1_1_upload_image = !empty( $truanon_setting_data['badge1_1_upload_image'] ) ? $truanon_setting_data['badge1_1_upload_image'] : "";
$badge1_2_upload_image = !empty( $truanon_setting_data['badge1_2_upload_image'] ) ? $truanon_setting_data['badge1_2_upload_image'] : "";
$badge1_1_upload_image_url = !empty( $truanon_setting_data['badge1_1_upload_image'] ) ? esc_url( wp_get_attachment_url($truanon_setting_data['badge1_1_upload_image']) ) : esc_url( TRUANON_VERIFICATION_URL.'includes/images/KnownHigh.png' );
$badge1_2_upload_image_url = !empty( $truanon_setting_data['badge1_2_upload_image'] ) ? esc_url( wp_get_attachment_url($truanon_setting_data['badge1_2_upload_image']) ) : esc_url( TRUANON_VERIFICATION_URL.'includes/images/KnownLow.png' );
$badge1_1_font_awesome = !empty( $truanon_setting_data['badge1_1_font_awesome'] ) ? $truanon_setting_data['badge1_1_font_awesome'] : esc_html__( "far fa-check-circle", 'truanon-identity' ) ;
$badge1_2_font_awesome = !empty( $truanon_setting_data['badge1_2_font_awesome'] ) ? $truanon_setting_data['badge1_2_font_awesome'] : esc_html__( "far fa-check-circle", 'truanon-identity' ) ;


$badge1_description = !empty( $truanon_setting_data['badge1_description'] ) ? stripslashes_deep( $truanon_setting_data['badge1_description']) : "";

 
$badge2_type = isset( $truanon_setting_data['badge2_type'] ) ? $truanon_setting_data['badge2_type'] : "Custom Image";
$badge2_font_awesome = !empty( $truanon_setting_data['badge2_font_awesome'] ) ? $truanon_setting_data['badge2_font_awesome'] : esc_html__( "far fa-check-circle", 'truanon-identity' );
$badge2_upload_image = !empty( $truanon_setting_data['badge2_upload_image'] ) ? $truanon_setting_data['badge2_upload_image'] : '';
$badge2_upload_image_url = !empty( $truanon_setting_data['badge2_upload_image'] ) ? esc_url (wp_get_attachment_url( $truanon_setting_data['badge2_upload_image'] ) ) : esc_url ( TRUANON_VERIFICATION_URL.'includes/images/Unknown.png' );
$badge2_description = !empty( $truanon_setting_data['badge2_description'] ) ? stripslashes_deep( $truanon_setting_data['badge2_description'] ) : "";
$profile_information = isset( $truanon_setting_data['profile_information'] ) ? stripslashes_deep( $truanon_setting_data['profile_information'] ) : "" ;
$badge_less_then_score = isset( $truanon_setting_data['badge_less_then_score'] ) ? stripslashes($truanon_setting_data['badge_less_then_score']) : esc_html__( "2.5", 'truanon-identity' );
$badge_greater_then_score = isset( $truanon_setting_data['badge_greater_then_score'] ) ? stripslashes( $truanon_setting_data['badge_greater_then_score'] ) : esc_html__( "2.5", 'truanon-identity' );

$not_verify_type = isset( $truanon_setting_data['not_verify_type'] ) ? $truanon_setting_data['not_verify_type'] : esc_html__( "Custom Image" , 'truanon-identity' );
$not_verify_font_awesome = !empty( $truanon_setting_data['not_verify_font_awesome'] ) ? $truanon_setting_data['not_verify_font_awesome'] : esc_html__( "far fa-check-circle", 'truanon-identity' );
$not_verify_upload_image = !empty( $truanon_setting_data['not_verify_upload_image'] ) ? $truanon_setting_data['not_verify_upload_image'] : '';
$not_verify_upload_image_url = !empty( $truanon_setting_data['not_verify_upload_image'] ) ? esc_url( wp_get_attachment_url( $truanon_setting_data['not_verify_upload_image'] ) ) : esc_url( TRUANON_VERIFICATION_URL.'includes/images/UnknownOwner.png' );
//$not_confirm_txt  = isset( $truanon_setting_data['not_confirm_txt'] ) ? $truanon_setting_data['not_confirm_txt'] : esc_html__( "You must confirm your profile using TruAnon, click here to confirm" , 'truanon-identity' );
$not_confirm_txt  = isset( $truanon_setting_data['not_confirm_txt'] ) ? $truanon_setting_data['not_confirm_txt'] : "";
$confirm_profile = isset( $truanon_setting_data['confirm_profile'] ) ? $truanon_setting_data['confirm_profile'] : "" ;

/* END : FETCH SETTINGS DATA */
//check settings updated or not
if(isset($_GET['message']) && $_GET['message'] == '1') {
	
	echo '<div class="updated" id="message">
		<p><strong>'. esc_html__( "Changes Saved Successfully.",'truanon-identity' ) .'</strong></p>
	</div>';
}
else if (isset($_GET['message']) && $_GET['message'] == '2') {
	
	echo '<div class="updated" id="message">
		<p><strong>'. esc_html__( "Please enter valid URL",'truanon-identity' ) .'</strong></p>
	</div>';
}
if(isset($_GET['message']) && $_GET['message'] == '3') {
	
	echo '<div class="updated" id="message">
		<p><strong>'. esc_html__( "Changes Saved Successfully.",'truanon-identity' ) .'</strong></p>
	</div>';
}	

?>
<!-- . begining of wrap -->
<div class="wrap">
	<?php 
		echo "<h2>" . esc_html__( 'TruAnon Settings', 'truanon-identity' ) . "</h2>";
	?>					
	<!-- beginning of the plugin options form -->
	<form name="truanon_settings_form" action="" method="POST" >
        <table class="form-table sa-manage-level-product-box"> 
            <tbody>
                <tr>
                    <td colspan="2">
                    <h2><?php esc_html_e('Authentication Settings', 'truanon-identity'); ?></h2>
                </td>
                </tr>
                <?php
                    $live_custom_style =$sendbox_custom_style=""; 
                    if($truanon_mode_type == "Live"){
                        $live_custom_style="row";
                        $sendbox_custom_style="none";
                    }else{
                        $live_custom_style="none";
                        $sendbox_custom_style="row";
                    }
                ?>

                <tr id="truanon_mode_section" >
                    <th scope="row">
                        <label for="truanon_mode_lbl"><strong><?php esc_html_e('Deployment', 'truanon-identity'); ?></strong></label>
                    </th>
                    <td width="300">
                        <input type="radio" name="ww_truanon_option[truanon_mode_type]" id="tru_anon_live_mode" value="Live"  <?php echo ($truanon_mode_type == "Live")?"checked":""; ?> onclick="return hideShowAuthicateData();"/><label for="tru_anon_live_mode"><?php esc_html_e('Production', 'truanon-identity'); ?></label> &nbsp;&nbsp;
                        <input type="radio" name="ww_truanon_option[truanon_mode_type]" id="tru_anon_sendbox_mode" value="Sendbox" <?php echo ($truanon_mode_type == "Sendbox")?"checked":""; ?> onclick="return hideShowAuthicateData();"/><label for="tru_anon_sendbox_mode"><?php esc_html_e('Staging', 'truanon-identity'); ?></label>
                    </td>
                </tr>
                <tr id="live_private_key_heading_lbl" style="display:<?php echo $live_custom_style;?>" >
                    <th scope="row">
                        <label for="live_private_key"><strong><?php esc_html_e('Private Key', 'truanon-identity'); ?></strong></label>
                    </th>
                    <td width="300">
                        <input type='text' name='ww_truanon_option[live_private_key]' id='live_private_key' value='<?php echo $live_private_key;?>' maxlength="200" class="regular-text">
                    </td>
                </tr>
                <tr id="live_service_id_heading_lbl" style="display:<?php echo $live_custom_style;?>">
                    <th scope="row">
                        <label for="live_service_id"><strong><?php esc_html_e('Service ID', 'truanon-identity'); ?></strong></label>
                    </th>
                    <td width="300">
                        <input type='text' name='ww_truanon_option[live_service_id]' id='live_service_id' value='<?php echo $live_service_id;?>' maxlength="50" class="regular-text">
                    </td>
                </tr>
                    <tr id="sendbox_private_key_heading_lbl" style="display:<?php echo $sendbox_custom_style;?>">
                    <th scope="row">
                        <label for="private_key"><strong><?php esc_html_e('Private Key', 'truanon-identity'); ?></strong></label>
                    </th>
                    <td width="300">
                        <input type='text' name='ww_truanon_option[private_key]' id='private_key' value='<?php echo $private_key;?>' maxlength="200" class="regular-text">
                    </td>
                </tr>
                <tr id="sendbox_service_id_heading_lbl" style="display:<?php echo $sendbox_custom_style;?>">
                    <th scope="row">
                        <label for="service_id"><strong><?php esc_html_e('Service ID', 'truanon-identity'); ?></strong></label>
                    </th>
                    <td width="300">
                        <input type='text' name='ww_truanon_option[service_id]' id='service_id' value='<?php echo $service_id;?>' maxlength="50" class="regular-text">
                    </td>
                </tr>
                <tr>
                    <td colspan="2"><hr><h2><?php esc_html_e('Badge Settings', 'truanon-identity'); ?></h2></td>
                </tr>				

               <tr id="badge1_description_lbl" >
                    <th scope="row">
                        <label for="badge1_description_id"><strong><?php esc_html_e( 'Known User Text', 'truanon-identity' ); ?></strong></label>
                    </th>
                    <td width="300">
                        <?php 

                            $settings = array(
                                        'textarea_name' => 'ww_truanon_option[badge1_description]',
                                        'textarea_rows'=> '10', 
                                        'tinymce' => true, 
                                        'media_buttons' => false,
                                        'wpautop' => true,
                                    );
                            wp_editor( html_entity_decode($badge1_description), 'badge1_description', $settings );

                        ?> 
                        <br /><span class="description"><?php esc_html_e( 'This badge information will be displayed once a user has confirmed their profile. The following shortcodes are supported:', 'truanon-identity' ); ?></span><br />             
                        </td>
                </tr>
					
                <tr>
                    <th>&nbsp;</th>
                    <td>
                        <code><?php esc_html_e( '{profile_name}', 'truanon-identity' ); ?></code> - <?php esc_html_e( 'TruAnon Username', 'truanon-identity' ); ?> <br />
                        <code><?php esc_html_e( '{profile_title}', 'truanon-identity' ); ?></code> -<?php esc_html_e( 'User Title', 'truanon-identity' ); ?> <br />
                        <code><?php esc_html_e( '{rank_title}', 'truanon-identity' ); ?></code> - <?php esc_html_e( 'User Rank Title', 'truanon-identity' ); ?> <br />
                        <code><?php esc_html_e( '{rank_score}', 'truanon-identity' ); ?></code> - <?php esc_html_e( 'User Rank Score', 'truanon-identity' ); ?> <br />
                        <code><?php esc_html_e( '{profile_url}', 'truanon-identity' ); ?></code> - <?php esc_html_e( 'Public Profile URL', 'truanon-identity' ); ?><br />
                    </td>

                </tr>

				<!-- Known High Image/ Icon Section-->
                <tr id="badge1_1_heading_lbl" >
                    <th scope="row">
                        <label for="badge1_1_heading_lbl"><strong><?php esc_html_e('High Badge Type', 'truanon-identity'); ?></strong></label>
                    </th>
                    <td width="300">
                        <input type="radio" name="ww_truanon_option[badge1_1_type]" id="badge1_1_custom_type" value="Custom Image"  <?php echo ($badge1_1_type == "Custom Image")?"checked":""; ?> onclick="return hideShowBadge1_1_div();"/><label for="badge1_1_custom_type"><?php esc_html_e('Custom Image', 'truanon-identity'); ?></label> &nbsp;&nbsp;
                        <input type="radio" name="ww_truanon_option[badge1_1_type]" id="badge1_1_font_awesome_type" value="Font Awesome" <?php echo ($badge1_1_type == "Font Awesome")?"checked":""; ?> onclick="return hideShowBadge1_1_div();"/><label for="badge1_1_font_awesome_type"><?php esc_html_e('Font Awesome Icon', 'truanon-identity'); ?></label>

                    </td>
                </tr>
                <?php
                    $badge1_1_custom_style =$badge1_1_font_awesome_style=""; 
                    if($badge1_1_type == "Custom Image"){
                        $badge1_1_custom_style="row";
                        $badge1_1_font_awesome_style="none";
                    }else{
                        $badge1_1_custom_style="none";
                        $badge1_1_font_awesome_style="row";
                    }
                ?>
                <tr id="badge1_1_custom_image" style="display:<?php echo $badge1_1_custom_style;?>">
                    <th scope="row">
                        <label for="verify_text_heading_lbl"><strong><?php esc_html_e( 'High Badge Icon', 'truanon-identity' ); ?></strong></label>
                    </th>
                    <td width="300">
                        <input id="badge1_1_upload_image" class="tru-anon-upload-image" type="button" class="button" value="<?php _e( 'Upload image' ); ?>" data-hiddenid="badge1_1_upload_image_id" data-imagepreview="badge1_1_upload_image_preview" />
                        <input type='hidden' name='ww_truanon_option[badge1_1_upload_image]' id='badge1_1_upload_image_id' value='<?php echo $badge1_1_upload_image;?>'><br />
                        <span class="description"><?php esc_html_e( 'Upload badge icon' , 'truanon-identity' ); ?></span><br /><br />
                        <img src="<?php echo $badge1_1_upload_image_url;?>" width="35px" height="35px" name="badge1_1_upload_image_preview" id="badge1_1_upload_image_preview" width="50px" height="50px"/>
                        <?php
                        if(!empty( $truanon_setting_data['badge1_1_upload_image'] )){
                            ?>
                            <input type="submit" name="reset-badge1_1-upload-image" value="Reset">
                            <?php
                        }
                        ?>
                    </td>
                </tr>
                <tr id="badge1_1_font_awesome" style="display:<?php echo $badge1_1_font_awesome_style;?>">
                    <th scope="row">
                        <label for="badge1_1_font_awesome_id"><strong><?php esc_html_e( 'High Icon class', 'truanon-identity' ); ?></strong></label>
                    </th>
                    <td width="300">
                        <input type='text' name='ww_truanon_option[badge1_1_font_awesome]' id='badge1_1_font_awesome_id' value='<?php echo $badge1_1_font_awesome;?>' class="regular-text"><br />
                        <span class="description"><?php esc_html_e('Enter font awesome class. i.e. fa fa-camera-retro', 'truanon-identity'); ?></span>
                        </td>
                </tr>
               <!-- Known High Image/ Icon Section-->

                <tr id="badge1_score_lbl" >
                    <th scope="row">
                        <label for="badge1_score"><strong><?php esc_html_e('High/Low Threshold', 'truanon-identity'); ?></strong></label>
                    </th>
                    <td width="300">
                        <input type="number" name="ww_truanon_option[badge_less_then_score]" id-="badge1_score" min="1" max="5" step="0.1" value="<?php echo $badge_less_then_score;?>" class="regular-text">
                    </td>
                </tr>
				
				<!-- Known Low Image/ Icon Section-->
				<tr id="badge1_2_heading_lbl" >
					<th scope="row">
						<label for="badge1_2_heading_lbl"><strong><?php esc_html_e('Low Badge Type', 'truanon-identity'); ?></strong></label>
					</th>
					<td width="300">
						<input type="radio" name="ww_truanon_option[badge1_2_type]" id="badge1_2_custom_type" value="Custom Image"  <?php echo ($badge1_2_type == "Custom Image")?"checked":""; ?> onclick="return hideShowBadge1_2_div();"/><label for="badge1_2_custom_type"><?php esc_html_e('Custom Image', 'truanon-identity'); ?></label> &nbsp;&nbsp;
						<input type="radio" name="ww_truanon_option[badge1_2_type]" id="badge1_2_font_awesome_type" value="Font Awesome" <?php echo ($badge1_2_type == "Font Awesome")?"checked":""; ?> onclick="return hideShowBadge1_2_div();"/><label for="badge1_2_font_awesome_type"><?php esc_html_e('Font Awesome Icon', 'truanon-identity'); ?></label>

					</td>
                </tr>
                <?php
                    $badge1_2_custom_style =$badge1_2_font_awesome_style=""; 
                    if($badge1_2_type == "Custom Image"){
                        $badge1_2_custom_style="row";
                        $badge1_2_font_awesome_style="none";
                    }else{
                        $badge1_2_custom_style="none";
                        $badge1_2_font_awesome_style="row";
                    }
                ?>
                <tr id="badge1_2_custom_image" style="display:<?php echo $badge1_2_custom_style;?>">
                    <th scope="row">
                        <label for="verify_text_heading_lbl"><strong><?php esc_html_e( 'Low Badge Icon', 'truanon-identity' ); ?></strong></label>
                    </th>
                    <td width="300">
                        <input id="badge1_2_upload_image" class="tru-anon-upload-image" type="button" class="button" value="<?php _e( 'Upload image' ); ?>" data-hiddenid="badge1_2_upload_image_id" data-imagepreview="badge1_2_upload_image_preview" />
                        <input type='hidden' name='ww_truanon_option[badge1_2_upload_image]' id='badge1_2_upload_image_id' value='<?php echo $badge1_2_upload_image;?>'><br />
                        <span class="description"><?php esc_html_e( 'Upload badge icon' , 'truanon-identity' ); ?></span><br /><br />
                        <img src="<?php echo $badge1_2_upload_image_url;?>" width="35px" height="35px" name="badge1_2_upload_image_preview" id="badge1_2_upload_image_preview" width="50px" height="50px"/>
                        <?php
                        if(!empty( $truanon_setting_data['badge1_2_upload_image'] )){
                            ?>
                            <input type="submit" name="reset-badge1_2-upload-image" value="Reset">
                            <?php
                        }
                        ?>
                    </td>
                </tr>
                <tr id="badge1_2_font_awesome" style="display:<?php echo $badge1_2_font_awesome_style;?>">
                    <th scope="row">
                        <label for="badge1_2_font_awesome_id"><strong><?php esc_html_e( 'Low Icon class', 'truanon-identity' ); ?></strong></label>
                    </th>
                    <td width="300">
                        <input type='text' name='ww_truanon_option[badge1_2_font_awesome]' id='badge1_2_font_awesome_id' value='<?php echo $badge1_2_font_awesome;?>' class="regular-text"><br />
                        <span class="description"><?php esc_html_e('Enter font awesome class. i.e. fa fa-camera-retro', 'truanon-identity'); ?></span>
                    </td>
                </tr>
				<!-- Known Low Image/ Icon Section-->
	
				
			
				<hr>

				
<!-- 				<tr>
                    <td colspan="2"><hr><h2><?php esc_html_e( 'Unknown User', 'truanon-identity' ); ?></h2></td>
                </tr>
 -->				
                 <tr>
                    <td colspan="2"><hr></td>
                </tr>
                <tr id="badge2_description_lbl" >
                    <th scope="row">
                        <label for="badge2_description_id"><strong><?php esc_html_e( 'Unknown User Text', 'truanon-identity' ); ?></strong></label>
                    </th>
                    <td width="300">
                        <?php 

                            $settings = array(
                                        'textarea_name' => 'ww_truanon_option[badge2_description]',
                                        'textarea_rows'=> '10', 
                                        'tinymce' => true, 
                                        'media_buttons' => false,
                                        'wpautop' => true,
                                        );
                            wp_editor( html_entity_decode($badge2_description), 'ww_truanon_option_badge2_description', $settings );
                        ?>              
                        <br /><span class="description"><?php esc_html_e( 'This badge information will be displayed for those who have not confirmed.', 'truanon-identity' ); ?></span><br />
                        </td>
                </tr>
                <tr id="badge2_heading_lbl" >
                    <th scope="row">
                        <label for="badge2_heading_lbl"><strong><?php esc_html_e( 'Badge Type', 'truanon-identity' ); ?></strong></label>
                    </th>
                    <td width="300">
                        <input type="radio" name="ww_truanon_option[badge2_type]" id="badge2_custom_type" value="Custom Image" <?php echo ($badge2_type == "Custom Image")?"checked":""; ?> onclick="return hideShowBadge2div();"/><label for ="badge2_custom_type"><?php esc_html_e('Custom Image', 'truanon-identity'); ?></label> &nbsp;&nbsp;
                        <input type="radio" name="ww_truanon_option[badge2_type]" id="badge2_font_awesome_opt" value="Font Awesome" <?php echo ($badge2_type == "Font Awesome")?"checked":""; ?> onclick="return hideShowBadge2div();" /><label for ="badge2_font_awesome_opt"><?php esc_html_e('Font Awesome Icon', 'truanon-identity'); ?></label>

                    </td>
                </tr>
                <?php
                    $badge2_custom_style =$badge2_font_awesome_style=""; 
                    if($badge2_type == "Custom Image"){
                        $badge2_custom_style="row";
                        $badge2_font_awesome_style="none";
                    }else{
                        $badge2_custom_style="none";
                        $badge2_font_awesome_style="row";
                    }
                ?>
                <tr id="badge2_custom_image" style="display:<?php echo $badge2_custom_style;?>">
                    <th scope="row">
                        <label for="badge2_custom_lbl"><strong><?php esc_html_e('Badge Icon', 'truanon-identity'); ?></strong></label>
                    </th>
                    <td width="300">
                        <input id="badge2_upload_image" class="tru-anon-upload-image" type="button" class="button" value="<?php _e( 'Upload image' ); ?>" data-hiddenid="badge2_upload_image_id" data-imagepreview="badge2_upload_image_preview" />
                        <input type='hidden' name='ww_truanon_option[badge2_upload_image]' id='badge2_upload_image_id' value='<?php echo $badge2_upload_image;?>'><br />
                        <span class="description"><?php esc_html_e( 'Upload badge icon', 'truanon-identity' ); ?></span><br /><br />
                        <img src="<?php echo $badge2_upload_image_url;?>" width="35px" height="35px" name="badge2_upload_image_preview" id="badge2_upload_image_preview" width="50px" height="50px"/>
                        <?php
                        if(!empty( $truanon_setting_data['badge2_upload_image'] )){
                            ?>
                            <input type="submit" name="reset-badge2-upload-image" value="Reset">
                            <?php
                        }
                        ?>

                    </td>
                </tr>
                <tr id="badge2_font_awesome" style="display:<?php echo $badge2_font_awesome_style;?>">
                    <th scope="row">
                        <label for="badge2_font_awesome_id"><strong><?php esc_html_e( 'Icon class', 'truanon-identity' ); ?></strong></label>
                    </th>
                    <td width="300">
                        <input type='text' name='ww_truanon_option[badge2_font_awesome]' id='badge2_font_awesome_id' value='<?php echo $badge2_font_awesome;?>' class="regular-text"><br />
                        <span class="description"><?php esc_html_e( 'Enter font awesome class. i.e. fa fa-camera-retro', 'truanon-identity' ); ?></span>
                        </td>
                </tr>


				<hr>
<!--                 <tr>
                    <td colspan="2"><hr><h2><?php esc_html_e( 'Unknown/Owner', 'truanon-identity' ); ?></h2></td>
                </tr>
 -->
                <tr>
                    <td colspan="2"><hr></td>
                </tr>
                <tr id="not_verify_text_lbl" >
                    <th scope="row">
                        <label for="not_verify_text_id"><strong><?php esc_html_e( 'Unknown/Owner Text', 'truanon-identity' ); ?></strong></label>
                    </th>
                    <td width="300">
                        <?php 

                            $settings = array(
                                        'textarea_name' => 'ww_truanon_option[not_confirm_txt]',
                                        'textarea_rows'=> '10', 
                                        'tinymce' => true, 
                                        'media_buttons' => false,
                                        'wpautop' => true,
                                    );
                            wp_editor( html_entity_decode($not_confirm_txt), 'not_confirm_txt', $settings );

                        ?> 
                        <br /><span class="description"><?php esc_html_e('This badge information will be displayed to the badge owner when they have not yet confirmed. The following shortcode is for the confirmation link.', 'truanon-identity'); ?></span><br />             
                        </td>
                </tr>
                <tr>
                    <th>&nbsp;</th>
                    <td>
                        <code><?php esc_html_e( '{confirm_url}', 'truanon-identity' ); ?></code> - <?php esc_html_e( 'TruAnon Confirm URL link. It will display like "Click here to confirm".', 'truanon-identity' ); ?><br />
                    </td>
                </tr>
                <tr id="not_confirm_heading_lbl" >
                    <th scope="row">
                        <label for="not_confirm_lbl"><strong><?php esc_html_e( 'Badge Type', 'truanon-identity' ); ?></strong></label>
                    </th>
                    <td width="300">
                        <input type="radio" name="ww_truanon_option[not_verify_type]" id="not_verify_custom_type" value="Custom Image" <?php echo ($not_verify_type == "Custom Image")?"checked":""; ?> onclick="return hideShowNotConfirmdiv();"/><label for ="not_verify_custom_type"><?php esc_html_e( 'Custom Image', 'truanon-identity' ); ?></label> &nbsp;&nbsp;
                        <input type="radio" name="ww_truanon_option[not_verify_type]" id="not_verify_font_awesome_opt" value="Font Awesome" <?php echo ($not_verify_type == "Font Awesome")?"checked":""; ?> onclick="return hideShowNotConfirmdiv();" /><label for ="not_verify_font_awesome_opt"><?php esc_html_e( 'Font Awesome Icon', 'truanon-identity' ); ?></label>

                    </td>
                </tr>
                <?php
                    $not_verify_custom_style =$not_verify_font_awesome_style=""; 
                    if($not_verify_type == "Custom Image"){
                        $not_verify_custom_style="row";
                        $not_verify_font_awesome_style="none";
                    }else{
                        $not_verify_custom_style="none";
                        $not_verify_font_awesome_style="row";
                    }
                ?>
                <tr id="not_verify_custom_image" style="display:<?php echo $not_verify_custom_style;?>">
                    <th scope="row">
                        <label for="not_verify_custom_lbl"><strong><?php esc_html_e('Badge Icon', 'truanon-identity'); ?></strong></label>
                    </th>
                    <td width="300">
                        <input id="not_verify_upload_image" class="tru-anon-upload-image" type="button" class="button" value="<?php _e( 'Upload image' ); ?>" data-hiddenid="not_verify_upload_image_id" data-imagepreview="not_verify_upload_image_preview" />
                        <input type='hidden' name='ww_truanon_option[not_verify_upload_image]' id='not_verify_upload_image_id' value='<?php echo $not_verify_upload_image;?>'><br />
                        <span class="description"><?php esc_html_e( 'Upload badge icon', 'truanon-identity' ); ?></span><br /><br />
                        <img src="<?php echo $not_verify_upload_image_url;?>" width="35px" height="35px" name="not_verify_upload_image_preview" id="not_verify_upload_image_preview" width="50px" height="50px"/>
                        <?php
                        if(!empty( $truanon_setting_data['not_verify_upload_image'] )){
                            ?>
                            <input type="submit" name="reset-not-verify-upload-image" value="Reset">
                            <?php
                        }
                        ?>
                    </td>
                </tr>
                <tr id="not_verify_font_awesome" style="display:<?php echo $not_verify_font_awesome_style;?>">
                    <th scope="row">
                        <label for="not_verify_font_awesome_id"><strong><?php esc_html_e( 'Icon class', 'truanon-identity' ); ?></strong></label>
                    </th>
                    <td width="300">
                        <input type='text' name='ww_truanon_option[not_verify_font_awesome]' id='not_verify_font_awesome_id' value='<?php echo $not_verify_font_awesome;?>' class="regular-text"><br />
                        <span class="description"><?php esc_html_e( 'Enter font awesome class. i.e. fa fa-camera-retro', 'truanon-identity' ); ?></span>
                        </td>
                </tr>
                <tr>
                    <td colspan="2"><hr/>
                    </td>
                </tr>

                <tr>
                    <td colspan="2">
                        <input type="submit" class="form-control button-primary" name="tru_anon_setting" value="<?php esc_html_e( 'Save', 'truanon-identity' ); ?>" id="tru_anon_setting" >
						 <input type="submit" class="form-control " name="reset_setting" value="<?php esc_html_e( 'Reset Full Setting', 'truanon-identity' ); ?>" id="tru_anon_setting" >
                    </td>
                </tr>
            </tbody>
        </table>
        <?php wp_nonce_field( 'truanon_save_options', 'truanon_save_options_field' ); ?>
    </form>
</div><!-- .end of wrap -->